curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/advertising/leaderboard?limit=25&metric=ad_count"{
"data": [
{
"rank": 123,
"sponsor": {
"ad_count": 123,
"episode_reach": 123,
"id": "<string>",
"name": "<string>",
"podcast_reach": 123,
"company": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"slug": "<string>",
"ticker": "<string>"
},
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get advertising leaderboard
Returns the top podcast advertising sponsors ranked by the specified metric, with optional time range and company filtering. All-time rankings — and two day-anchored windows: the trailing 7 days (since = UTC today−7d, no until) and the 7-day window ending 30 days ago (since = today−37d, until = today−30d) — reflect periodically refreshed snapshots; other time-windowed and company-filtered results may be cached for up to one hour.
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/advertising/leaderboard?limit=25&metric=ad_count"{
"data": [
{
"rank": 123,
"sponsor": {
"ad_count": 123,
"episode_reach": 123,
"id": "<string>",
"name": "<string>",
"podcast_reach": 123,
"company": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"slug": "<string>",
"ticker": "<string>"
},
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
Pass your API key in the X-API-Key header (recommended).
Query Parameters
Results per page
1 <= x <= 100Opaque pagination cursor from previous response
Metric to rank sponsors by
ad_count, podcast_reach, episode_reach Only include ads from episodes published on or after this ISO 8601 date or date-time (e.g. 2025-01-01 or 2025-01-01T00:00:00Z)
"2025-01-01T00:00:00Z"
Only include ads from episodes published before this ISO 8601 date or date-time (e.g. 2026-01-01 or 2026-01-01T00:00:00Z)
"2026-01-01T00:00:00Z"
Filter by company ID, domain, or entity slug
Restrict the leaderboard to ads on podcasts attributed to this publisher (slug or ID)
Was this page helpful?